function files = getFilesInfo(datasetdir,varargin)
%% Description:
%
% Author - 	Name: Ernesto H. Teniente Avilés
%           CONACYT Scholarship 
%           Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change:
%               Date: 7/02/2010
%               Author:
%			          Version 1.0
% This code has been developed as part of the XXXX Project
% XXX-YYY-000000
%
% Usage:
%		x = functionName(datasetdir[,OPTIONS])
%   x = functionName(argin,'option',option value)
%
% Inputs:
%     datasetdir - a string, data set parent root path
%
%  Options :
%     'Day'            an integer -default: 0, open both days
%                                           1, open day one
%                                           2, open day two
%     'Laser3D'        a bool,default = 1
%     'Odometry'       a bool,default = 1
%     'Compass'        a bool,default = 1
%     'RobotCommands'  a bool,default = 1
%     'GPS'            a bool,default = 1
%     'StereoCamera'   a bool,default = 1
%     'CameraNetwork'  a bool,default = 1
%

%% CODE

chkvarargin(varargin,2);


[day      ...
 flag(1)  ...
 flag(2)  ...
 flag(3)  ...
 flag(4)  ...
 flag(5)  ...
 flag(6)  ...
 flag(7) ]= process_options(varargin,'Day',0,   ...
                            'Laser3D',1,        ...
                            'Odometry',1,       ...
                            'Compass',1,        ...
                            'RobotCommands',1,  ...
                            'GPS',0,            ...
                            'StereoCamera',1,   ...
                            'CameraNetwork',1);
                          

device = cell(7,1);
 device{1}  = 'laser_3d';
 device{2}  = 'odometry';
 device{3}  = 'compass';
 device{4}  = 'robot_commands';
 device{5}  = 'gps';
 device{6}  = 'stereo_cam';
 device{7}  = 'cam_net';
                          
s = filesep;
expdir = [ datasetdir];
  switch day
    case 1
      fprintf('Parsing data set day ONE:\n')
      for i=1: size(device,1)
        if flag(i)
          fprintf('Reading XML %s...\n', device{i})
          tmp = getFilesParam([expdir s '20101021_'  device{i} '_ft.xml']);
          switch device{i}
            case 'laser_3d'
              files.laser_3d = tmp;
            case 'odometry'
              files.odometry = tmp;
            case  'compass'
              files.compass = tmp;
            case  'robot_commands'
              files.robot_commands = tmp;
            case  'gps'
              files.gps = tmp;
            case  'stereo_cam'
              files.stereo_cam = tmp;
            case  'cam_net'
              files.cam_net = tmp;
          end
          fprintf('DONE\n')
        end
          
      end
    case 2
      fprintf('Parsing data set day TWO ...\n')
      for i=1: size(device,1)
        if flag(i)
          fprintf('Reading XML %s...\n', device{i})
          tmp = getFilesParam([expdir s '20101022_' device{i} '_ft.xml']);
          switch device{i}
            case 'laser_3d'
              files.laser_3d = tmp;
            case 'odometry'
              files.odometry = tmp;
            case  'compass'
              files.compass = tmp;
            case  'robot_commands'
              files.robot_commands = tmp;
            case  'gps'
              files.gps = tmp;
            case  'stereo_cam'
              files.stereo_cam = tmp;
            case  'cam_net'
              files.cam_net = tmp;
          end
          fprintf('DONE\n')
        end
      end
%       files.laser3d.nscans =size(tmp.laser3d,2);
    otherwise
      for i=1: size(device,1)
        if flag(i)
          fprintf('Reading XML %s...\n', device{i})
          tmp1 = getFilesParam([expdir s '20101021_' device{i} '_ft.xml']);
          tmp2 = getFilesParam([expdir s '20101022_' device{i} '_ft.xml']);
          switch device{i}
            case 'laser_3d'
              files.laser_3d = [tmp1 tmp2];
            case 'odometry'
              files.odometry = [tmp1 tmp2];
            case  'compass'
              files.compass = [tmp1 tmp2];
            case  'robot_commands'
              files.robot_command = [tmp1 tmp2];
            case  'gps'
              files.gps = [tmp1 tmp2];
            case  'stereo_cam'
              files.stereo_cam = [tmp1 tmp2];
            case  'cam_net'
              files.cam_net = [tmp1 tmp2];
          end
          fprintf('DONE\n')
        end
      end
  end