%% HRT2XYZRXRYRZ
% Convert an homogeneus position matrix to a 6D position vector (x,y,z,rx,ry,rz)
%
%% Description
%
% Author - 	
%         Ernesto Homar Teniente Aviles
%         CONACYT Scholar
%         Institut de Robotica i Informatica Industrial, CSIC-UPC
%         Last change - 09/2010
%
% This code has been developed as part of the EU URUS Project
% FP6-IST-045062
%
% Usage:
%   poseeuler = HRt2xyzrxryrz(H);
%
% Variables
%   Inputs :
%       H   - 4 x 4 matrix, homogeneus transformation matrix
% 
%   Ouputs :
%       poseeuler - a 1 x 6 vector, returns (x,y,z,roll,pitch,yaw) values
%                   roll: angle about the x axis
%                   pitch: angle about the y axis
%                   yaw: angle about the z axis
%
% NOTE: keep in mind the angles description above

%% Code:
function poseeuler = HRt2xyzrxryrz(H)
poseeuler = zeros(6,1);
poseeuler(1:3) = H(1:3,4)';
euler = R2rxryrz(H(1:3,1:3));
poseeuler(4) = euler(1,1);
poseeuler(5) = euler(2,1);
poseeuler(6) = euler(3,1);
% drawaxis([ypr2R(poseeuler(1,6),poseeuler(1,5),poseeuler(1,4)) poseeuler(1:3)';0 0 0 1],5,i); 
