%  IMPORTDATATXT
% 
%% Description:
%
% Author - 	Name
%           Scholarship/Fellow
%           Institut de Robotica i Informatica Industrial, CSIC-UPC
%           Last change:
%               Date:
%               Author:
%			          Version 1.0
% This code has been developed as part of the XXXX Project
% XXX-YYY-000000
%
% Usage:
%		importDataTxt(file2Read,object)
%
%
% Inputs:
%     file2Read - a string
%     object    - a string , type of data in the file:
%                 'Scan3DPoints'
%                 'Scan3DNormals'
%                 'Scan3DPlanError'
%                 'Pose'
%                 'GPS'
%                 'StereoImage'
%
% Outputs:
%   Put into de workspace base a variable with the data, depending on the
%   object type
%

%% CODE

function data =importDataTxt(file2Read,object)

rawData1 = load(file2Read);


% [unused,name] = fileparts(file2Read);
% newData1.(genvarname(name)) = rawData1;

switch object
  case {'Scan3DPoints','Scan3DNormals'} 
    if (size(rawData1,2) == 3)
        data =  rawData1';
    end
  case 'Scan3DPlanError'
    if (size(rawData1,2) == 1)
        data =  rawData1';
    else
      error('Unexpected matrix dimention, check it!')
    end 
  case 'Pose'
    if (size(rawData1,2) == 6 && size(rawData1,1) ==1)
        data =  rawData1';
    end
  case 'GPS'
    fprintf('TODO\n')
    data =[];
  case 'Compass'
    fprintf('TODO\n')
    data =[];
  case 'StereoImage'
    fprintf('TODO\n')
    data =[];
  case 'CloudNumbers'
    data.j = rawData1(1);
    data.k = rawData1(2);
    
  otherwise
    error('Invalid object name!')
end

% Create new variables in the base workspace from those fields.
% 
% for i = 1:length(vars)
%   assignin(data, vars{i}, newData1.(vars{i}));
% end