function pose = pose3DAddCompass(queryPoses,compassFiles)
%
% Input:
%  queryPoses - a struct with pose information
%               .ts - n vetor, timestamp
%               .pose - 6xn matrix, poses 6D
%               .type - 
%
% compassFiles - a struct
%
%
% Outputs:
%  pose - a 6xn matrix with added compass readings in rx and ry
% 

orient = compassGetOrientation(queryPoses.ts,compassFiles);
nqueryPoses = size(queryPoses.pose,2);
pose = zeros(6,nqueryPoses);
for i=1:nqueryPoses
  tmp = queryPoses.pose(:,i) + [0;0;0;orient(3,i);-orient(2,i);0];
  pose(:,i) = tmp;
end

