function show_laser_3d_sequence(varargin)

% Barcelona Robot Lab Data Set (BRL)
% IRI Mobile Robotics Group, 2011

%% path dataset xlm

s = filesep;
if nargin < 1
  % Default directory
  root_dir = ['..' s '..' s 'eval_data_set'];  
else
  % your data set directory
  root_dir = varargin{1};
end

initParseTools('.');


%% images path
path_im=[ root_dir s '20101021_laser_3d_ft.xml'];
%image infomation
files.laser3d = getFilesParam(path_im);
path_dest=[ root_dir files.laser3d(1).SRC '/'];


%% show scans
for i=1:1:size(files.laser3d,2)
    file = [path_dest s files.laser3d(i).File];
    range_data = parseHokuyo3DOneScan(file,'OnlyPoints',1);
    plotData3DbyDistance(range_data.points,1)
    axis equal
    zoom(2)
    drawnow;
    if i~=size(files.laser3d,2)
      clf(1)
    end
end;