function show_robot_calib_2(varargin)

% Barcelona Robot Lab Data Set (BRL)
% IRI Mobile Robotics Group, 2011

%% path dataset xlm
s = filesep;
if nargin < 1
  % Default directory
  root_dir = ['..' s '..' s 'calib_txt' s];  
else
  % your data set directory
  root_dir = varargin{1};
end

initParseTools('.');
%%

calib.robot = load([ root_dir  'robot_wrt_world.txt']);

calib.laser_3d.extrinsic = load([ root_dir 'laser_3d_extrinsic.txt']);

calib.stereo_cam.left.extrinsic = load([ root_dir 'left_cam_extrinsic.txt']);
calib.stereo_cam.left.intrinsic = load([ root_dir 'left_cam_intrinsic.txt']);

calib.stereo_cam.right.extrinsic = load([ root_dir 'right_cam_extrinsic.txt']);
calib.stereo_cam.right.intrinsic = load([ root_dir 'right_cam_intrinsic.txt']);



%  Compute and plot transformations
figure(1); hold on; axis equal; view(-45,15)

HWRO = xyzrxryrz2HRt(calib.robot);
H = HWRO;
drawaxis(H,0.25,'Robot')
HROL = xyzrxryrz2HRt(calib.laser_3d.extrinsic);
H = HWRO*HROL;
drawaxis(H,0.125,'Laser 3D')

HLRC = [expMap2R(calib.stereo_cam.right.extrinsic(4:6)) calib.stereo_cam.right.extrinsic(1:3)';
       0 0 0 1];
H = H*HLRC;
drawaxis(H,0.100,'Right cam')

HRCLC = [expMap2R(calib.stereo_cam.left.extrinsic(4:6)) calib.stereo_cam.right.extrinsic(1:3)';
       0 0 0 1];
H =H*HRCLC;
drawaxis(H,0.100,'Left cam')



cameratoolbar