function show_robot_cmd(varargin)

% Barcelona Robot Lab Data Set (BRL)
% IRI Mobile Robotics Group, 2011

%% path dataset xlm
s = filesep;
if nargin < 1
  % Default directory
  root_dir = ['..' s '..' s 'eval_data_set' s];  
else
  % your data set directory
  root_dir = varargin{1};
end

initParseTools('.');

%% images path
path_=[ root_dir '/20101021_robot_commands_ft.xml'];
% information from xml
files.robtcmd = getFilesParam(path_);


%% Create file 

for i=1:size(files.robtcmd,2)
  rbtcmd(:,i).File = [root_dir  files.robtcmd(i).SRC '/' files.robtcmd(i).File];
end

%% Sync

cmd = joinRobotCmdFiles(rbtcmd); 

theta = 0;
j=2;
poses =[0;0;0];

for i=1:size(cmd.type,2)
  if cmd.type(i) == 0
    local.x = cos(poses(3,i))*cmd.qty(i)/1000;
    local.y = sin(poses(3,i))*cmd.qty(i)/1000;
    local.theta = 0;
  else
    local.x =0;
    local.y =0;
    local.theta = deg2rad(cmd.qty(i))+theta;
  end
  poses(1,i+1)=  local.x+poses(1,i);
  poses(2,i+1)=  local.y+poses(2,i);
  poses(3,i+1)=  local.theta+poses(3,i);
end

plot(poses(1,:),poses(2,:))
